I don't know how to build an old version of Citra (Debian user)

The main issue in my case is I cannot install VULKAN in my PC because my Nvidia device is too old in my case “GPU’s 390” are the only supported by my old nvidia the latest are version 525.105.17. That’s why I’m asking if there is a way to build older versions of Citra. The only missing dependency is Vulkan…

The latest releases of Citra build around Vulkan have the best performance ever seen but the bad side is if you have an OLD graphic card you’re lost. In my case the best graphics and performance doesn’t matter.

System Information

  • Operating System: Debian 12
  • CPU: Core i7-6800K @3.40GHz
  • GPU: 390.157 Nvidia (Graphic driver Geforce GT 730)
  • Citra Version :The latest today at this time
  • Screenshot of Issue (include the full Citra window including titlebar):

https://community.citra-emu.org/t/how-to-upload-the-log-file/296
CMakeError.log (85.3 KB)

I tried to build it trying with VULKAN compatibility off but that was not possible. I also tried following first the OFFICIAL building wiki of Citra
"cmake … -DCMAKE_BUILD_TYPE=Release -DENABLE_USER_BUILD=ON -DENABLE_VULKAN=OFF

I’m not an expert if someone know a detail explanation, thanks in advance

Hi! You might want to keep an eye around the Mesa project which supply the graphics drivers on Linux. Their Vulkan driver for Nvidia GPUs is under development right now, but they will support your card in the long term.

1 Like

Thanks. Nowadays if someone has an old PC Linux is a difficult option… Have you heard about Panda 3DS? I could install it successfully yesterday but it seems that emu only could be use with command lines

I think the main is Alber